# Merchandise

Merchandise

 - [GET /merchandise/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/merchandise/listmerchandise.md): This method will scan all merchandise and and return them to the caller.
 - [POST /merchandise/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/merchandise/createmerchandise.md): This method will auto-generate an ID and create a new merchandise. If an ID is specified for the merchandise, an error will be thrown.
 - [POST /merchandise/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/merchandise/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [GET /merchandise/{tenantId}/category/{category_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/merchandise/listmerchandisebycategoryid.md): Returns a list of records with the specified category_id
 - [GET /merchandise/{tenantId}/public](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/merchandise/listallpublicmerchandise.md): Lists all merchandise
 - [GET /merchandise/{tenantId}/public/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/merchandise/get.md): Gets merchandise info
 - [POST /merchandise/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/merchandise/searchformerchandise.md): Searches for merchandise using predefined parameters
 - [DELETE /merchandise/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/merchandise/deletemerchandise.md): This method will delete a merchandise with the specified ID.
 - [GET /merchandise/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/merchandise/getmerchandise.md): This method will look up a merchandise by the specified ID and return it back.
 - [PATCH /merchandise/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/merchandise/patchmerchandise.md): This method will patch an existing merchandise with the specified ID, using the HTTP PATCH specification.
 - [PUT /merchandise/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/merchandise/updatemerchandise.md): This method will update an existing merchandise with the specified ID.
